FROM alpine:latest
LABEL maintainer="fred.damstra@gmail.com"
LABEL version="0.2"
LABEL description="Docker image that sorts my midjourney albums"

RUN echo -e "search default.svc.cluster.local svc.cluster.local cluster.local\nnameserver 10.152.183.10\noptions ndots:2" > /etc/resolv.conf
RUN apk add --no-cache bash bash-completion rsync file

COPY . /opt/midjourney/
RUN chmod 755 /opt/midjourney/sort_and_upload.sh \
 && mkdir /scratch \
 && mkdir /shared

CMD ["/opt/midjourney/sort_and_upload.sh"]
